%define name	parser_server
%define version	2.0.2
%define release	3mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Set of Perl scripts to setup a server of parsers
License:	Artistic or GPL
Group:		Sciences/Computer science
Source:		ftp://ftp.inria.fr/INRIA/Projects/Atoll/Eric.Clergerie/TAG/%{name}-%{version}.tar.bz2
Patch:		%{name}-2.0.2.makefile.patch.bz2
Url:		http://atoll.inria.fr/packages/packages.html#parser_server
BuildArch:	noarch
Prereq:		rpm-helper
BuildRequires:	perl-ExtUtils-configPL
Buildroot:	%{_tmppath}/%{name}-%{version}

%description
parser_server is a set of Perl scripts to setup a server of parsers. Web CGI
clients are available, providing graphical display of shared forests.

%prep
%setup -q
%patch
mv register_parsers.pl register_parsers
mv parser.pl parser

%build
perl Makefile.PL
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
install -d -m 755 $RPM_BUILD_ROOT%{_initrddir}
install -m 755 parserd.rc $RPM_BUILD_ROOT%{_initrddir}/parserd

%post
%_post_service parserd

%preun
%_preun_service parserd

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Changes README
%config(noreplace) %{_initrddir}/parserd
%{_bindir}/*
%{_mandir}/man1/*

%changelog
* Mon Nov 29 2004 Guillaume Rousse <guillomovitch@mandrake.org> 2.0.2-3mdk 
- fix buildrequires

* Mon Nov 29 2004 Guillaume Rousse <guillomovitch@mandrake.org> 2.0.2-2mdk 
- install init script

* Tue Nov 23 2004 Guillaume Rousse <guillomovitch@mandrake.org> 2.0.2-1mdk 
- first mdk release
